## gnome-desktop 44.3

=== debian/changelog ===
gnome-desktop (44.3-4) unstable; urgency=medium

  * Team upload
  * Build-depend on gir1.2-*-dev and gobject-introspection.
    libgirepository1.0-dev is not Multi-Arch-friendly and should be
    phased out.
  * Explicitly Build-Depend on required gir1.2-*-dev packages.
    In practice these are provided by the lib*-dev build-dependencies,
    but listing them explicitly is an enabler for being able to implement
    the <!nogir> build-profile in those packages.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:56:28 +0100

gnome-desktop (44.3-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:10:40 +0100

gnome-desktop (44.3-2) experimental; urgency=medium

  * Team upload
  * d/p/debian/Revert-default-IM-for-zh_HK-to-ibus-table-cangjie5.patch:
    Revert default IM for zh_HK to ibus-table-cangjie5 for now.
    I've asked on #1107525 whether we should follow upstream by moving to
    the ibus-cangjie package as the default input method for
    Chinese (Hong Kong), or keep Debian 12 behaviour by using the
    ibus-table-cangjie5 package. Until we have a recommendation from
    Chinese speakers, it seems like the conservative option is to keep
    the Debian 12 behaviour.

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jun 2025 18:53:43 +0100

gnome-desktop (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - zh_HK, Chinese (Hong Kong) now defaults to ibus-cangjie instead of
      ibus-table-cangjie5, reverting a change made before bookworm
      (see #1107525)
    - format times with U+003A COLON instead of U+2236 RATIO, avoiding display
      issues in right-to-left languages and in fonts that don't contain U+2236
    - only build GObject-Introspection data if requested
      (unnecessary but harmless in Debian)
    - make build system compatible with being used from a subproject
      (unnecessary but harmless in Debian)
    - silence a false-positive compiler warning with -Wmaybe-uninitialized
    - translation updates
    - CI/release-management changes (not relevant to Debian)
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Drop patch, included in the new upstream release
  * d/patches: Refresh remaining patches (no functional changes)
  * d/copyright: Remove details of tests/wallclock-reftest, no longer included

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jun 2025 18:02:58 +0100

gnome-desktop (44.1-2) unstable; urgency=medium

  * Team upload
  * d/p/gnome-bg-only-parse-XML-files-as-slideshows.patch:
    Add patch from upstream to improve performance of
    gnome-control-center's Background panel, by not attempting to parse
    binary image files as XML
  * d/upstream/metadata: Add Archive and Security-Contact
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all -dev packages
  * d/control: Explicitly build-depend on pkgconf
  * d/control: Wrap a long line
  * d/control: Use dpkg build API v1
  * d/control: Remove transitional libgnome-desktop-3-dev-bin package.
    This was already an empty transitional package in Debian 12.
  * d/control: Remove Gunnar Hjalmarsson from Uploaders, with thanks for
    previous work on this package (Closes: #1069560)
  * d/tests: Use pkgconf in preference to pkg-config
  * d/tests: Rely on $AUTOPKGTEST_TMP
  * d/tests: Use a cross gcc and pkgconf if appropriate
  * Remove unused lintian overrides left over from the t64 transition.
    lintian now recognises t64 as a valid suffix to be applied to
    systematically-named shared library packages.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2025 11:47:32 +0000
