=== debian/control ===
Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome (>= 0.22.7~),
               dpkg-build-api (= 1),
               dpkg-dev (>= 1.22.5),
               docbook-xml,
               fonts-cantarell <!nocheck>,
               gir1.2-gdesktopenums-3.0-dev,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-3.0-dev,
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools,
               iso-codes,
               itstool,
               libgdk-pixbuf-2.0-dev,
               libgl-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               libgtk-3-dev,
               libgtk-4-dev (>= 4.4.0),
               libgtk-3-doc,
               libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxkbregistry-dev,
               locales <!nocheck> | locales-all <!nocheck>,
               meson,
               pkgconf,
               xauth <!nocheck>,
               xkb-data,
               xvfb <!nocheck>
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
Standards-Version: 4.7.2

Package: gnome-desktop3-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgnome-desktop-3-17 (<< 3.36),
        libgnome-desktop-3-18 (<< 3.36),
Description: Common files for GNOME desktop apps
 This package includes some files that are shared between several GNOME
 apps (internationalization files).

Package: gnome-desktop-3-tests
Architecture: any
Depends: libgnome-desktop-3-20t64 (= ${binary:Version}),
         gnome-desktop3-data (= ${source:Version}),
         locales | locales-all,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgnome-desktop-3-19 (<< 40),
        libgnome-desktop-3-dev (<< 40),
        libgnome-desktop-3-dev-bin (<< 42~),
Replaces: libgnome-desktop-3-dev-bin (<< 42~),
Description: Installed test files for GNOME desktop
 This package contains test programs designed to be run as part of a
 regression testsuite, and manual test programs designed to be run by
 developers.

Package: libgnome-desktop-3-20t64
Provides: ${t64:Provides}
Replaces: libgnome-desktop-3-20
Breaks: libgnome-desktop-3-20 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - GTK 3 version
 This library provides various utility functions that are used in multiple
 components of the GNOME desktop, but do not have a sufficiently stable API
 to be included in core libraries such as GLib and GTK.
 .
 This package provides a legacy GTK-3-based library with functionality
 similar to a combination of libgnome-bg-4-2t64, libgnome-desktop-4-2t64
 and libgnome-rr-4-2t64, for compatibility with older GNOME components.

Package: libgnome-desktop-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-3.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgnome-desktop-3-20t64 (= ${binary:Version}),
         libgtk-3-dev,
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Utility library for the GNOME desktop - development files (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.

Package: libgnome-bg-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-bg-4-2
Breaks: libgnome-bg-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for background images - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for managing background images (wallpaper).

Package: libgnome-desktop-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-desktop-4-2
Breaks: libgnome-desktop-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas,
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides miscellaneous non-GUI utilities, including
 sandboxed image thumbnailing, localization-related utilities, idle time
 monitoring, a simplified interface to the udev hardware database,
 putting processes into systemd scopes, user-facing time representation
 and keyboard layout information.

Package: libgnome-rr-4-2t64
Provides: ${t64:Provides}
Replaces: libgnome-rr-4-2
Breaks: libgnome-rr-4-2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for display information - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for display mode-setting, resizing and
 rotation using the XRandR protocol or Wayland.

Package: libgnome-bg-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomebg-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-bg-4-2t64 (= ${binary:Version}),
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Background image library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 background images.

Package: libgnome-desktop-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgdk-pixbuf-2.0-dev,
         libgnome-desktop-4-2t64 (= ${binary:Version}),
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Utility library for the GNOME desktop - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that use
 miscellaneous non-GUI utility functions.

Package: libgnome-rr-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomerr-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgnome-rr-4-2t64 (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: Display information library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 display modes.

Package: gir1.2-gnomedesktop-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeDesktop (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.
 .
 This package contains the introspection data for GnomeDesktop

Package: gir1.2-gnomebg-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeBG (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for background image
 (wallpaper) management.

Package: gir1.2-gnomedesktop-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-shell (<< 42~alpha)
Description: Introspection data for GnomeDesktop (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for miscellaneous
 utility functions.

Package: gir1.2-gnomerr-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeRR (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for display mode
 management.

Package: libgnome-desktop-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
