## gnome-desktop 44.4

=== meson_options.txt ===
option('desktop_docs',
  type: 'boolean', value: true,
  description: 'Build desktop-wide help documents'
)

option('debug_tools',
  type: 'boolean', value: true, description: 'Build debug tools'
)

option('introspection',
  type: 'boolean', value: true, description: 'Whether to build introspection files'
)

option('udev',
  type: 'feature', description: 'Udev support'
)

option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

option('gtk_doc',
  type: 'boolean', value: false, description: 'Build API reference'
)

option('installed_tests',
  type: 'boolean', value: false, description: 'Enable installed tests'
)

option('build_gtk4',
  type: 'boolean', value: true, description: 'Enable GTK4 libraries'
)

option('legacy_library',
  type: 'boolean', value: true, description: 'Build the legacy libgnome-desktop-3.0'
)
