=== debian/changelog ===
gnome-desktop (44.4-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 14:19:58 -0400
