=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
                xauth <!nocheck>,
                xkb-data,
                xvfb <!nocheck>
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
 Standards-Version: 4.7.2
@@ -318,3 +317,4 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
+Pre-Depends: ${misc:Pre-Depends}
