## gnome-desktop 44.5

=== debian/changelog ===
gnome-desktop (44.5-1ubuntu1) resolute; urgency=medium

  * d/p: Add gnome-qr library to generate QR codes
  * d/copyright: Ad qrcodegen subproject license
  * debian: Add Packages for gnome-qr-4 and gnome-qr-gtk-4 libraries
  * debian/salsa-ci: Add ubuntu settings
  * d/tests: Add autopkgtest for libgnome-qr-4
  * d/tests: Add autopkgtest for libgnome-qr-gtk-4

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 05:39:42 +0100

gnome-desktop (44.5-1) unstable; urgency=medium

  * New upstream release
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Feb 2026 02:12:02 +0100

gnome-desktop (44.4-2) unstable; urgency=medium

  * d/p: Add upstream patches including memory and tests fixes
  * d/p: Hide private symbols from public libraries.
  * d/libgnome-desktop-*.symbols: Drop a private symbol that leaked into API.
    It was not exposed by public headers, so not something that was meant to
    be used anyways.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 08 Feb 2026 17:06:39 +0100
