=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,7 +27,7 @@
                libglib2.0-dev,
                libglib2.0-doc,
                libgtk-3-dev,
-               libgtk-4-dev (>= 4.4.0),
+               libgtk-4-dev (>= 4.12.0),
                libgtk-3-doc,
                libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
                libsystemd-dev [linux-any],
@@ -38,8 +39,10 @@
                xauth <!nocheck>,
                xkb-data,
                xvfb <!nocheck>
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/master
 Standards-Version: 4.7.2
 
 Package: gnome-desktop3-data
@@ -159,6 +162,37 @@
  putting processes into systemd scopes, user-facing time representation
  and keyboard layout information.
 
+Package: libgnome-qr-4-0
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: Utility library for QR Codes - runtime files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This library provides utilities for creating QR Codes textures.
+
+Package: libgnome-qr-gtk-4-0
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: locales | locales-all
+Description: Utility library for GTK4 QR codes - runtime files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This library provides utilities for creating QR Codes GTK Widgets.
+
 Package: libgnome-rr-4-2t64
 Provides: ${t64:Provides}
 Replaces: libgnome-rr-4-2
@@ -250,71 +284,29 @@
  This package contains development files to compile programs that deal with
  display modes.
 
-Package: gir1.2-gnomedesktop-3.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeDesktop (GTK 3)
- This package provides the include files and static library for the GNOME
- desktop library functions.
- .
- This package contains the introspection data for GnomeDesktop
-
-Package: gir1.2-gnomebg-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeBG (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for background image
- (wallpaper) management.
-
-Package: gir1.2-gnomedesktop-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: gnome-shell (<< 42~alpha)
-Description: Introspection data for GnomeDesktop (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for miscellaneous
- utility functions.
-
-Package: gir1.2-gnomerr-4.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Introspection data for GnomeRR (GTK 4)
- The gnome-desktop set of libraries provides various utility functions
- that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains GObject-Introspection bindings for display mode
- management.
-
-Package: libgnome-desktop-doc
-Build-Profiles: <!nodoc>
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Pre-Depends: ${misc:Pre-Depends}
+Package: libgnome-qr-4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: gir1.2-gnomeqr-4.0 (= ${binary:Version}),
+         libgnome-qr-4-0 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: ${gir:Provides}
+Description: QR Codes library for GNOME - development files
+ The gnome-desktop set of libraries provides various utility functions
+ that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
+ This package contains development files to compile programs that deal with
+ QR codes.
+
+Package: libgnome-qr-gtk-4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: gir1.2-gnomeqrgtk-4.0 (= ${binary:Version}),
+         libgnome-qr-4-dev (= ${binary:Version}),
