=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

LIBGD_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-desktop-4-/ { print $$2 }' debian/control))
export GD_LIBNAME = $(LIBGD_PKG)
export GD_SOVERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f1 -d- | rev | sed 's/t64//')
export GD_API_VERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f2 -d- | rev | sed 's/t64//')

LIBGD_QR_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-qr-[0-9]+-/ { print $$2 }' debian/control))
export GD_QR_LIBNAME = $(LIBGD_QR_PKG)
export GD_QR_SOVERSION = $(shell echo $(GD_QR_LIBNAME) | rev | cut -f1 -d- | rev)
export GD_QR_API_VERSION = $(shell echo $(GD_QR_LIBNAME) | rev | cut -f2 -d- | rev)

LIBGD_QR_GTK_PKG := $(filter-out %-dev %-bin %-doc,$(shell awk '/^Package: libgnome-qr-gtk-[0-9]+-/ { print $$2 }' debian/control))
export GD_QR_GTK_LIBNAME = $(LIBGD_QR_GTK_PKG)
export GD_QR_GTK_SOVERSION = $(shell echo $(GD_QR_GTK_LIBNAME) | rev | cut -f1 -d- | rev)
export GD_QR_GTK_API_VERSION = $(shell echo $(GD_QR_GTK_LIBNAME) | rev | cut -f2 -d- | rev)

%:
	dh $@

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dinstalled_tests=true \
		-Ddesktop_docs=true

override_dh_auto_test:
	debian/tests/run-with-locales \
		--generate en_US.UTF-8 \
		--generate he_IL.UTF-8 \
		--generate ja_JP.UTF-8 \
		-- \
	env \
		NO_AT_BRIDGE=1 \
		G_MESSAGES_DEBUG=all \
	dh_auto_test -- --wrap="xvfb-run -a"

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-desktop-3.0
