=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,14 @@
 Depends: build-essential, libgnome-desktop-4-dev, pkgconf
 Restrictions: allow-stderr superficial
 
+Tests: libgnome-qr-4-dev
+Depends: build-essential, libgnome-qr-4-dev, pkgconf
+Restrictions: allow-stderr superficial
+
+Tests: libgnome-qr-gtk-4-dev
+Depends: build-essential, libgnome-qr-gtk-4-dev, pkgconf, xvfb
+Restrictions: allow-stderr superficial
+
 Tests: libgnome-rr-4-dev
 Depends: build-essential, libgnome-rr-4-dev, pkgconf
 Restrictions: allow-stderr superficial
